'''OpenGL extension IMG.texture_compression_pvrtc

This module customises the behaviour of the 
OpenGL.raw.GLES1.IMG.texture_compression_pvrtc to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/IMG/texture_compression_pvrtc.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GLES1 import _types, _glgets
from OpenGL.raw.GLES1.IMG.texture_compression_pvrtc import *
from OpenGL.raw.GLES1.IMG.texture_compression_pvrtc import _EXTENSION_NAME

def glInitTextureCompressionPvrtcIMG():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION