'''OpenGL extension EXT.pvrtc_sRGB

This module customises the behaviour of the 
OpenGL.raw.GLES2.EXT.pvrtc_sRGB to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/pvrtc_sRGB.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GLES2 import _types, _glgets
from OpenGL.raw.GLES2.EXT.pvrtc_sRGB import *
from OpenGL.raw.GLES2.EXT.pvrtc_sRGB import _EXTENSION_NAME

def glInitPvrtcSrgbEXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION