'''OpenGL extension EXT.texture_filter_anisotropic

This module customises the behaviour of the 
OpenGL.raw.GLES2.EXT.texture_filter_anisotropic to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/EXT/texture_filter_anisotropic.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GLES2 import _types, _glgets
from OpenGL.raw.GLES2.EXT.texture_filter_anisotropic import *
from OpenGL.raw.GLES2.EXT.texture_filter_anisotropic import _EXTENSION_NAME

def glInitTextureFilterAnisotropicEXT():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION