'''OpenGL extension OES.texture_compression_astc

This module customises the behaviour of the 
OpenGL.raw.GLES2.OES.texture_compression_astc to provide a more 
Python-friendly API

The official definition of this extension is available here:
http://www.opengl.org/registry/specs/OES/texture_compression_astc.txt
'''
from OpenGL import platform, constant, arrays
from OpenGL import extensions, wrapper
import ctypes
from OpenGL.raw.GLES2 import _types, _glgets
from OpenGL.raw.GLES2.OES.texture_compression_astc import *
from OpenGL.raw.GLES2.OES.texture_compression_astc import _EXTENSION_NAME

def glInitTextureCompressionAstcOES():
    '''Return boolean indicating whether this extension is available'''
    from OpenGL import extensions
    return extensions.hasGLExtension( _EXTENSION_NAME )


### END AUTOGENERATED SECTION